import React from 'react';
import SvgIcon from 'material-ui/SvgIcon';

const ReportIcon = (props) => (
  <SvgIcon {...props}>
    <svg x="0px" y="0px" viewBox="-137 -33 1065 1065.0032">
      <path
        d="m723.359375 44.8125h-72.859375c-8.074219 0-14.625 6.550781-14.625 14.625 0 8.078125 6.550781 14.625 14.625 14.625h9.039062v807.59375h-546v-807.59375h60.871094v33.222656c0 25.46875 20.714844 46.183594 46.183594 46.183594h69.144531c6.914063 38.164062 40.390625 67.191406 80.503907 67.191406h32.585937c40.109375 0 73.585937-29.027344 80.5-67.191406h69.144531c25.472656 0 46.195313-20.71875 46.195313-46.183594v-63.117187c0-25.46875-20.722657-46.1875-46.191407-46.1875h-331.882812c-25.46875 0-46.183594 20.71875-46.183594 46.1875v.644531h-124.699218c-32.164063 0-58.328126 26.171875-58.328126 58.324219v587.117187c0 8.082032 6.546876 14.625 14.625 14.625 8.070313 0 14.625-6.542968 14.625-14.625v-587.117187c0-16.027344 13.054688-29.074219 29.078126-29.074219h34.570312v822.207031c0 8.082031 6.554688 14.625 14.625 14.625h575.257812c8.082032 0 14.625-6.542969 14.625-14.625v-822.207031h34.570313c16.035156 0 29.074219 13.046875 29.074219 29.074219v834.949219c0 16.039062-13.039063 29.085937-29.074219 29.085937h-673.648437c-16.023438 0-29.078126-13.046875-29.078126-29.085937v-178.894532c0-8.070312-6.554687-14.625-14.625-14.625-8.078124 0-14.625 6.554688-14.625 14.625v178.894532c0 32.167968 26.164063 58.335937 58.328126 58.335937h673.648437c32.164063 0 58.324219-26.167969 58.324219-58.335937v-834.949219c0-32.152344-26.160156-58.324219-58.324219-58.324219zm-519.699219-.644531c0-9.339844 7.59375-16.933594 16.933594-16.933594h331.882812c9.339844 0 16.933594 7.59375 16.933594 16.933594v63.117187c0 9.339844-7.59375 16.933594-16.933594 16.933594h-82.453124c-8.082032 0-14.625 6.550781-14.625 14.625 0 28.988281-23.585938 52.566406-52.570313 52.566406h-32.585937c-28.984376 0-52.566407-23.578125-52.566407-52.566406 0-8.074219-6.546875-14.625-14.625-14.625h-82.457031c-9.339844 0-16.933594-7.59375-16.933594-16.933594zm0 0"/>
      <path
        d="m572.835938 398.167969h-77.332032l-49.429687-134.96875c-4.90625-13.417969-24.367188-12.507813-27.902344 1.429687l-53.089844 209.035156-51.253906-149.105468c-4.097656-11.917969-20.410156-13.398438-26.585937-2.398438l-42.640626 76.015625h-44.367187c-8.085937 0-14.625 6.542969-14.625 14.625 0 8.074219 6.539063 14.625 14.625 14.625h52.933594c5.292969 0 10.167969-2.859375 12.761719-7.472656l30.847656-55.011719 56.578125 164.585938c4.710937 13.707031 24.445312 12.898437 28.007812-1.152344l53.519531-210.695312 36.667969 100.144531c2.105469 5.761719 7.589844 9.59375 13.734375 9.59375h87.546875c8.082031 0 14.625-6.542969 14.625-14.625 0-8.074219-6.542969-14.625-14.621093-14.625zm0 0"/>
      <path
        d="m572.835938 639.355469h-372.601563c-8.078125 0-14.625 6.542969-14.625 14.625 0 8.078125 6.546875 14.625 14.625 14.625h372.601563c8.078124 0 14.625-6.546875 14.625-14.625 0-8.082031-6.546876-14.625-14.625-14.625zm0 0"/>
      <path
        d="m572.835938 768.207031h-372.601563c-8.078125 0-14.625 6.550781-14.625 14.625 0 8.078125 6.546875 14.625 14.625 14.625h372.601563c8.078124 0 14.625-6.546875 14.625-14.625 0-8.074219-6.546876-14.625-14.625-14.625zm0 0"/>
    </svg>
  </SvgIcon>
);

export default ReportIcon;
